<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Update book</title>
</head>
<body>

<form th:method="PATCH" th:action="@{/books/{id}(id=${book.getId()})}" th:object="${book}">

    <label for="bookName">Введите обновленное название книги: </label>
    <input type="text" th:field="*{bookName}" id="bookName"/>
    <div style="color:red" th:if="${#fields.hasErrors('bookName')}" th:errors="*{bookName}">Name Error</div>

    <br/><br/>

    <label for="author">Введите обновленного автора: </label>
    <input type="text" th:field="*{author}" id="author"/>
    <div style="color:red" th:if="${#fields.hasErrors('author')}" th:errors="*{author}">Author Error</div>

    <br/><br/>

    <label for="year">Введите обновленную дату: </label>
    <input type="text" th:field="*{year}" id="year"/>
    <div style="color:red" th:if="${#fields.hasErrors('year')}" th:errors="*{year}">Year Error</div>

    <p>  <input type="submit" value="Update!"/> </p>

</form>

</body>
</html>